Launch Week 02 wrapped — explore all five launches

Delete Dataset

DELETEhttps://api.confident-ai.com/v1/datasets/{alias}

Permanently deletes a dataset and all its associated data.

Warning: This action cannot be undone. All goldens or conversational goldens in the dataset will be deleted.

DELETE/v1/datasets/{alias}
curl -X DELETE "https://api.confident-ai.com/v1/datasets/{alias}" \
  -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200
{
  "success": true,
  "data": {
    "id": "dataset-id"
  }
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The API key of your Confident AI project.

Path parameters

  • aliasstringRequired

    The unique alias of the dataset.

Response

  • successboolean

    This is true if the dataset was successfully deleted.

  • dataobject

    Show 1 propertyHide 1 property
    • idstring

      This is the ID of the deleted dataset.

Built byConfident AI